
<div align="center">
  <img src="icons/LittleLines.svg" width="192" height="192" alt="Logo">
  <h1>Little Lines</h1>

  <a href="https://www.gnu.org/licenses/agpl-3.0.en.html">
    <img alt="License: AGPLv3" src="https://shields.io/badge/License-AGPLv3-blueviolet.svg">
  </a>
  <a href="https://gitlab.com/openKMITL/micromobility-navigation/-/pipelines">
    <img alt="Build Status" src="https://gitlab.com/openkmitl/micromobility-navigation/badges/main/pipeline.svg">
  </a>
 



  <h3>ระบบนำทางสำหรับล้อขนาดเล็ก</h3>

  <a href="https://little-lines.techtransthai.org">เข้าใช้งานเว็บแอป</a>
  &nbsp;•&nbsp;
  <a href="https://gitlab.com/openKMITL/micromobility-navigation/-/wikis/home">เอกสาร</a>

  <h5>ร่วมพูดคุยกับเรา:</h5>
  <a href="https://discord.gg/6aPemyuSzx">
    <img alt="Discord" src="https://img.shields.io/discord/1053041544845861015?label=Discord&color=blueviolet">
  </a>
</div>

## Little Lines คืออะไร

Littles Lines คือระบบนำทางสำหรับล้อขนาดเล็ก ไม่ว่าจะเป็นวีลแชร์ กระเป๋าเดินทาง รถเข็นเด็ก นอกจากนี้ยังสามารถใช้นำทางสำหรับการเดินเท้าไปยังที่ต่าง ๆ ได้อีกด้วย โดยเว็บแอปที่ เขียนด้วย Vue นี้จะนำข้อมูลจาก OpenStreetMap มาใช้ในการคำนวณเส้นทางและแสดงผลให้ผู้ใช้ต่อไป

## การมีส่วนร่วมกับโปรเจกต์

คุณสามารถสนับสนุนโปรเจกต์นี้ได้ผ่านหลากหลายช่องทาง ไม่ว่าจะเป็น
- นำเสนอไอเดีย หรือส่ง Feedback ใน Discord ของเรา
- เพิ่มข้อมูลที่จำเป็นสำหรับการนำทางลงในแพลตฟอร์ม OpenStreetMap
- ร่วมพัฒนาตัวเว็บแอป Little Lines เอง

## การติดตั้ง

สำหรับการพัฒนาด้วย NPM

```
$ git clone https://gitlab.com/openKMITL/micromobility-navigation.git
$ cd micromobility-navigation
$ npm i
$ npm run dev
```

สำหรับการพัฒนาด้วย Yarn

```
$ git clone https://gitlab.com/openKMITL/micromobility-navigation.git
$ cd micromobility-navigation
$ yarn
$ yarn dev
```

สำหรับ Production ด้วย Podman/Docker

```
$ git clone https://gitlab.com/openKMITL/micromobility-navigation.git
$ cd micromobility-navigation
$ podman build -t littlelines:20230720 .
$ podman run --name littlelines -p 8080:80 -d littlelines:20230720
```

## Special Thanks

<div style="display: flex; justify-content: center; align-items: center;">
    <a href="https://discord.gg/6aPemyuSzx">
    <img src="assets/openKMITL-Community.png" alt=openKMITL" height="40">
    <a/>
    <a href="https://techtransthai.org">
    <img src="assets/ttt-org-wide-grey.svg" alt="TTT Logo" height="45">
    <a/>
</div>