import {createRouter, createWebHistory} from 'vue-router'

const routes = [
    {path: '', name: 'home', component: () => import('@/views/Home.vue')},
    {path: '/about', name: 'about', component: () => import('@/views/About.vue')},
    {path: '/favorite', name: 'favorite', component: () => import('@/views/Favorite.vue')},
    {path: '/setting', name: 'setting', component: () => import('@/views/Setting.vue')},
    {path: '/destination-info', name: 'destination-info', component: () => import('@/views/DestinationInfo.vue')},
    {path: '/login', name: 'login', component: () => import('@/views/Login.vue')},
    {path: '/register', name: 'register', component: () => import('@/views/Register.vue')},
]
const router = createRouter({
    routes,
    history: createWebHistory(),
})

export default router